LabVIEW SP1 Compatibility with non-SP1 LabVIEW

Updated Dec 17, 2018

Reported In

Software

  • LabVIEW

Issue Details

  • I am using LabVIEW 201X and I have received some VIs from my college created with LabVIEW 201X SP1.
  • Can I open VIs created with LabVIEW 2017 SP1 in my non-SP1 LabVIEW environment?

Solution

SP1 refers to "Service Pack 1" which is a smaller upgrade to the software that National Instruments often releases mid-year to keep the software up to date with patches and smaller features. Therefore, both use the same file format and file version, which will allow you to open them in both versions.

For example: LabVIEW 2017 SP1 is a stand-alone successor of LabVIEW 2017, however both LabvIEW 2017 and LabVIEW 2017 SP1 saves VIs in the 17.0 version, thus VIs created in these two environments are cross-compatible with each other.

Additional Information

  • You can check your LabVIEW version by:
    • Clicking Help -> About LabVIEW... on the main drop-down menu. Your LabVIEW version will be visible on the pop-up window in a numeric format. For example 17.0 is the equivalent to LabVIEW 2017 and 17.0.1 is the equivalent of LabVIEW 2017 SP1.
    • Reviewing the Software tab under My System in NI MAX (Measurement and Automation Explorer)
    • Opening NI License Manager and detecting if your software has "SP1" written in it.
    • Following the document: Determine the Version of the NI Software Installed on My Computer
  • You can investigate the version of your VI by Opening the VI and clicking File -> VI Properties. Here make sure you are on the General tab, you shall see version of your VI in the Source version field.
  • You also have the option to save the VI to a previous version by clicking File -> Save for Previous Version.

WAS THIS ARTICLE HELPFUL?

Not Helpful